Debian Bug report logs - #678137
git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)

version graph

Package: git-svn; Maintainer for git-svn is Gerrit Pape <pape@smarden.org>; Source for git-svn is src:git.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Tue, 19 Jun 2012 13:51:02 UTC

Severity: serious

Tags: experimental, fixed-upstream, jessie, patch, sid, upstream

Merged with 678764

Found in versions git/1:1.7.2.5-3, git/1:1.7.2.5-1, git/1:1.7.10-1, git/1:1.7.10.4-1

Fixed in version git/1:1.7.10.4-2

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.comp.version-control.git/184644

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Tue, 19 Jun 2012 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 19 Jun 2012 13:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Tue, 19 Jun 2012 08:47:01 -0500
Package: git-svn
Version: 1:1.7.2.5-3
Severity: serious
Tags: wheezy sid experimental upstream
Justification: ftbfs with Subversion >= 1.7
Forwarded: http://thread.gmane.org/gmane.comp.version-control.git/184644

Hi Gerrit,

Gerrit Pape wrote[1]:

> ok 1 - initialize git svn
>
> expecting success: git svn fetch
> svn: E235000: In file '/tmp/buildd/subversion-1.7.5/subversion/libsvn_subr/dirent_uri.c' line 2291: assertion failed (svn_uri_is_canonical(url, pool))

Good catch.  Subversion 1.7.5 was just uploaded to the archive, and it
is stricter than 1.6.y about pathnames containing spaces.

Regards,
Jonathan

[1] http://thread.gmane.org/gmane.comp.version-control.git.debian/164/focus=165




Marked as found in versions git/1:1.7.10.4-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 19 Jun 2012 14:48:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Sun, 24 Jun 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jun 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 678137@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: 678137@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: git-svn: affected versions?
Date: Sun, 24 Jun 2012 18:32:29 +0300
BTS thinks that this bug affects only unstable and stable? (no wheezy).
However tags are "wheezy sid experimental".




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Sun, 24 Jun 2012 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 24 Jun 2012 15:39:07 GMT) Full text and rfc822 format available.

Message #17 received at 678137@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Touko Korpela <touko.korpela@iki.fi>
Cc: 678137@bugs.debian.org
Subject: Re: git-svn: affected versions?
Date: Sun, 24 Jun 2012 10:37:02 -0500
Touko Korpela wrote:

> BTS thinks that this bug affects only unstable and stable? (no wheezy).
> However tags are "wheezy sid experimental".

Release tags describe the environment in which the bug is meaningful
and are not supposed to have anything to do with version tracking.
For example, git-svn 1:1.7.2.5-1 does not exhibit this bug in a
squeeze environment, while it does exhibit it in sid.

Hope that helps,
Jonathan




Merged 678137 678764 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 24 Jun 2012 15:42:13 GMT) Full text and rfc822 format available.

Marked as found in versions git/1:1.7.2.5-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 24 Jun 2012 15:42:18 GMT) Full text and rfc822 format available.

Marked as found in versions git/1:1.7.10-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 24 Jun 2012 15:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Tue, 28 Aug 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>, 678137@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 28 Aug 2012 09:33:03 GMT) Full text and rfc822 format available.

Message #28 received at 678137@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 678137@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#678137: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Tue, 28 Aug 2012 09:24:20 +0000
tags 678137 - wheezy
quit

On Tue, Jun 19, 2012 at 08:47:01AM -0500, Jonathan Nieder wrote:
> Package: git-svn
> Version: 1:1.7.2.5-3
> Severity: serious
> Tags: wheezy sid experimental upstream
> Justification: ftbfs with Subversion >= 1.7
> Forwarded: http://thread.gmane.org/gmane.comp.version-control.git/184644
> 
> Hi Gerrit,
> 
> Gerrit Pape wrote[1]:
> 
> > ok 1 - initialize git svn
> >
> > expecting success: git svn fetch
> > svn: E235000: In file '/tmp/buildd/subversion-1.7.5/subversion/libsvn_subr/dirent_uri.c' line 2291: assertion failed (svn_uri_is_canonical(url, pool))
> 
> Good catch.  Subversion 1.7.5 was just uploaded to the archive, and it
> is stricter than 1.6.y about pathnames containing spaces.

Hi Jonathan,

wheezy still has subversion 1.6.17dfsg-4, and I just checked, git
1.7.10.4-1 builds fine in a wheezy environment (pbuilder).  So I remove
the wheezy tag, please re-add it if I missed anything.

Thanks, Gerrit.



Removed tag(s) wheezy. Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Tue, 28 Aug 2012 09:33:04 GMT) Full text and rfc822 format available.

Added indication that bug 678137 blocks 683794 Request was from Mehdi Dogguy <mehdi@dogguy.org> to 683794-submit@bugs.debian.org. (Mon, 10 Sep 2012 09:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 08:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 08:00:07 GMT) Full text and rfc822 format available.

Message #37 received at 678137@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 678137@bugs.debian.org
Cc: control@bugs.debian.org, fumiyas@osstech.jp
Subject: [patch]: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Thu, 13 Sep 2012 16:55:56 +0900
Package: git-svn
Version: 1:1.7.10.4-1
Tags: patch
thanks

Hi,

 I modified git-svn and most annoyed error was disappeared.
 only 3 remains, but that is another issue.

 Thanks to Fumiyasu Satoh <fumiyas@osstech.jp> to pointing out not enough
 URI encoding.


--- ../bak.git-1.7.10.4/git-svn.perl    2012-06-03 23:15:58.000000000 +0000
+++ ./git-svn.perl      2012-09-13 07:13:57.535465133 +0000
@@ -1248,6 +1248,7 @@
        $path =~ s#^\./## if $dot_slash_added;
        $path =~ s#^/##;
        $path =~ s#^\.$##;
+       $path =~ s# #%20#;
        return $path;
 }
 



Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 08:09:03 GMT) Full text and rfc822 format available.

Message #42 received at 678137@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 678137@bugs.debian.org
Subject: git-svn test failure
Date: Thu, 13 Sep 2012 17:07:42 +0900
Hi,

 3 errors for git-svn test are below.



expecting success: 
	rm exec.sh &&
	ln -s file exec.sh &&
	git update-index exec.sh &&
	git commit -m "$name" &&
	git svn set-tree --find-copies-harder --rmdir \
		${remotes_git_svn}..mybranch5 &&
	svn_cmd up "$SVN_TREE" &&
	test -h "$SVN_TREE"/exec.sh
[mybranch5 b9d9f8b] executable file becomes a symlink to file
 Author: A U Thor <author@example.com>
 1 file changed, 1 insertion(+), 1 deletion(-)
 rewrite exec.sh (100%)
 mode change 100755 => 120000
	T	exec.sh
	M	exec.sh
r6 = 611b42ca62477933ab4c1a98e062566269079dab (refs/remotes/git-svn)
Done committing 1 revisions to SVN
Updating '.git/svn/refs/remotes/git-svn/svn-tree':
svn: E235000: In file '/tmp/buildd/subversion-1.7.5/subversion/libsvn_wc/update_editor.c' line 1583: assertion failed (action == svn_wc_conflict_action_edit || action == svn_wc_conflict_action_delete || action == svn_wc_conflict_action_replace)
Aborted
not ok - 11 executable file becomes a symlink to file
#	
#		rm exec.sh &&
#		ln -s file exec.sh &&
#		git update-index exec.sh &&
#		git commit -m "$name" &&
#		git svn set-tree --find-copies-harder --rmdir \
#			${remotes_git_svn}..mybranch5 &&
#		svn_cmd up "$SVN_TREE" &&
#		test -h "$SVN_TREE"/exec.sh

expecting success: 
	chmod +x file &&
	ln -s file exec-2.sh &&
	git update-index --add file exec-2.sh &&
	git commit -m "$name" &&
	git svn set-tree --find-copies-harder --rmdir \
		${remotes_git_svn}..mybranch5 &&
	svn_cmd up "$SVN_TREE" &&
	test -x "$SVN_TREE"/file &&
	test -h "$SVN_TREE"/exec-2.sh
[mybranch5 abfb48a] new symlink is added to a file that was also just made executable
 Author: A U Thor <author@example.com>
 1 file changed, 1 insertion(+)
 create mode 120000 exec-2.sh
 mode change 100644 => 100755 file
	C	exec.sh => exec-2.sh
	M	file
	A	exec-2.sh
	M	file
r7 = bd65e0587117ace2aa3df29730b2a3370576c88d (refs/remotes/git-svn)
Done committing 1 revisions to SVN
svn: E155004: Working copy '/home/henrich/git-1.7.10.4/t/trash directory.t0001-git-svn-basic/.git/svn/refs/remotes/git-svn/svn-tree' locked.
svn: E155004: '/home/henrich/git-1.7.10.4/t/trash directory.t0001-git-svn-basic/.git/svn/refs/remotes/git-svn/svn-tree' is already locked.
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)
not ok - 12 new symlink is added to a file that was also just made executable
#	
#		chmod +x file &&
#		ln -s file exec-2.sh &&
#		git update-index --add file exec-2.sh &&
#		git commit -m "$name" &&
#		git svn set-tree --find-copies-harder --rmdir \
#			${remotes_git_svn}..mybranch5 &&
#		svn_cmd up "$SVN_TREE" &&
#		test -x "$SVN_TREE"/file &&
#		test -h "$SVN_TREE"/exec-2.sh

expecting success: 
	echo git help >help &&
	rm exec-2.sh &&
	cp help exec-2.sh &&
	git update-index exec-2.sh &&
	git commit -m "$name" &&
	git svn set-tree --find-copies-harder --rmdir \
		${remotes_git_svn}..mybranch5 &&
	svn_cmd up "$SVN_TREE" &&
	test -f "$SVN_TREE"/exec-2.sh &&
	test ! -h "$SVN_TREE"/exec-2.sh &&
	test_cmp help "$SVN_TREE"/exec-2.sh
[mybranch5 837b509] modify a symlink to become a file
 Author: A U Thor <author@example.com>
 1 file changed, 1 insertion(+), 1 deletion(-)
 rewrite exec-2.sh (100%)
 mode change 120000 => 100644
	T	exec-2.sh
	M	exec-2.sh
r8 = 44bdea66f19809562a86c2fa85909b79ba48d6bc (refs/remotes/git-svn)
Done committing 1 revisions to SVN
svn: E155004: Working copy '/home/henrich/git-1.7.10.4/t/trash directory.t0001-git-svn-basic/.git/svn/refs/remotes/git-svn/svn-tree' locked.
svn: E155004: '/home/henrich/git-1.7.10.4/t/trash directory.t0001-git-svn-basic/.git/svn/refs/remotes/git-svn/svn-tree' is already locked.
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)
not ok - 13 modify a symlink to become a file
#	
#		echo git help >help &&
#		rm exec-2.sh &&
#		cp help exec-2.sh &&
#		git update-index exec-2.sh &&
#		git commit -m "$name" &&
#		git svn set-tree --find-copies-harder --rmdir \
#			${remotes_git_svn}..mybranch5 &&
#		svn_cmd up "$SVN_TREE" &&
#		test -f "$SVN_TREE"/exec-2.sh &&
#		test ! -h "$SVN_TREE"/exec-2.sh &&
#		test_cmp help "$SVN_TREE"/exec-2.sh




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #47 received at 678137@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 678137@bugs.debian.org
Subject: [patch]: change to test_expect_failure
Date: Thu, 13 Sep 2012 22:05:39 +0900
[Message part 1 (text/plain, inline)]
Hi,

 The patch I've send and reported failure is NOT enough.
 Even if we ignore 3 failure, other many(!) failure exists...


 And I've found upstream has already dealt with this issue

> Updates since v1.7.12
> ---------------------
> (snip)
> 
> Foreign Interface
> 
>  * "git svn" has been updated to work with SVN 1.7.

 Really, it solves problems except 3 failure which I said in previous
 report. 

 So, the solution for this bug is

 - update to upstream 1.7.12-xxx in git. I used 1.7.12-395-g6b149ce
   (I cannot figure out which changes should be picked out from upstream, 
    but probably many change sets, so suggest to update new upstream release)
 - and apply the patch which is changed to "test_expect_failure"

 I can build git with subversion 1.7.5 and 1.7.6 by this.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[0013-avoid_build_failure_by_test-expects-failure.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 15:21:06 GMT) Full text and rfc822 format available.

Message #52 received at 678137@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 678137@bugs.debian.org, fumiyas@osstech.jp
Subject: Re: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Thu, 13 Sep 2012 08:18:45 -0700
tags 678137 - patch
# optimistically
tags 678137 + fixed-upstream
quit

Hi,

Hideki Yamane wrote:

>  I modified git-svn and most annoyed error was disappeared.
>  only 3 remains, but that is another issue.

That doesn't make it pass tests when building from source, so the bug
is not fixed. :(

Luckily this has been addressed upstream, though the series fixing it
is a bit long and I'd appreciate if someone could review it.  See the
ms/git-svn-1.7 branch:

	git log v1.7.12..origin/master^{/ms/git-svn-1.7}^2

Thanks,
Jonathan



Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 13 Sep 2012 15:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 23:09:05 GMT) Full text and rfc822 format available.

Message #59 received at 678137@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 678137@bugs.debian.org, fumiyas@osstech.jp
Subject: Re: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Fri, 14 Sep 2012 08:05:34 +0900
Hi,

On Thu, 13 Sep 2012 08:18:45 -0700
Jonathan Nieder <jrnieder@gmail.com> wrote:
> # optimistically
> tags 678137 + fixed-upstream

 Yes, it's fixed in upstream. Confirmed as previous post (sorry, I didn't 
 include your address).


> That doesn't make it pass tests when building from source, so the bug
> is not fixed. :(
> 
> Luckily this has been addressed upstream, though the series fixing it
> is a bit long and I'd appreciate if someone could review it.  See the
> ms/git-svn-1.7 branch:
> 
> 	git log v1.7.12..origin/master^{/ms/git-svn-1.7}^2

 Should we do pick up each changes or update to new upstream one?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Thu, 13 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 13 Sep 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #64 received at 678137@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 678137@bugs.debian.org, fumiyas@osstech.jp
Subject: Re: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Thu, 13 Sep 2012 16:15:01 -0700
Hideki Yamane wrote:

>  Should we do pick up each changes or update to new upstream one?

I doubt the release team would accept an update to the new upstream
version, but I wouldn't mind it. ;-)



Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#678137; Package git-svn. (Tue, 09 Oct 2012 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 09 Oct 2012 10:27:04 GMT) Full text and rfc822 format available.

Message #69 received at 678137@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 678137@bugs.debian.org, fumiyas@osstech.jp
Subject: Re: git-svn: filenames with spaces trip svn 1.7 assertion (svn_uri_is_canonical)
Date: Tue, 9 Oct 2012 03:24:22 -0700
[Message part 1 (text/plain, inline)]
tags 678137 + patch
quit

Hideki Yamane wrote:

>  Should we do pick up each changes or update to new upstream one?

Here's a backport to experiment with.
[git-svn-1.7-support.mbox (text/plain, attachment)]

Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 10:27:07 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 01 Nov 2012 14:51:08 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 14:51:09 GMT) Full text and rfc822 format available.

Message #76 received at 678137-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 678137-close@bugs.debian.org
Subject: Bug#678137: fixed in git 1:1.7.10.4-2
Date: Thu, 01 Nov 2012 14:47:51 +0000
Source: git
Source-Version: 1:1.7.10.4-2

We believe that the bug you reported is fixed in the latest version of
git, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678137@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated git package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Oct 2012 13:27:36 -0700
Source: git
Binary: git git-man git-core git-doc git-arch git-cvs git-svn git-email git-daemon-run git-daemon-sysvinit git-gui gitk git-el gitweb git-all
Architecture: source i386 all
Version: 1:1.7.10.4-2
Distribution: unstable
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 git        - fast, scalable, distributed revision control system
 git-all    - fast, scalable, distributed revision control system (all subpacka
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system (obsolete)
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-daemon-sysvinit - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-el     - fast, scalable, distributed revision control system (emacs suppor
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-man    - fast, scalable, distributed revision control system (manual pages
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 587650 678137
Changes: 
 git (1:1.7.10.4-2) unstable; urgency=low
 .
   * debian/diff:
     * 0013...0030: new from the upstream 'master' branch: git svn:
       adapt to svn 1.7 changes:
       * normalize paths and URLs passed to Subversion (thx Michael G.
         Schwern; closes: #678137)
       * use correct "svn cp" syntax when checking git svn's mangling
         of @-signs in branch names (svn became stricter).
       * commit filetype changes between a regular file and symlink as
         replacement (deletion followed by addition) instead of
         modification of files.  Otherwise, clients pulling the change
         with "svn update" hit an assertion failure (svn issue 4091).
     * 0031-git-svn-use-YAML-format-...diff: new from 1.7.11: git svn:
       use YAML format for mergeinfo cache when possible.
   * debian/control: git-svn: Depends: libyaml-perl for platform- and
     version-independent .git/svn/.caches format; Build-Depends:
     libyaml-perl for tests (thx Tim Retout for the analysis; closes:
     #587650).
Checksums-Sha1: 
 aedf1ad2da02097c035b79087a051b742730c27b 1978 git_1.7.10.4-2.dsc
 a9eb7be02b689a7e415aca34ee241cb630829947 521778 git_1.7.10.4-2.diff.gz
 543861240a43cc398166de9dc09e4a484b384255 6560854 git_1.7.10.4-2_i386.deb
 30fd9356f75398175632a9cd547202adc5e3ed37 2280716 git-doc_1.7.10.4-2_all.deb
 a7ea8c90b6b976ab3d4d7c6a5a781db74fc322d6 463434 git-arch_1.7.10.4-2_all.deb
 7be0f418036f98b6b7ee92ccaddaac5f7ad3f23f 533006 git-cvs_1.7.10.4-2_all.deb
 da193d008469bd1e5ae3b0e3c5376890a8fa924b 521314 git-svn_1.7.10.4-2_all.deb
 a10d353e98ac384f7020f780fe046cc1ac5b44b0 450484 git-daemon-run_1.7.10.4-2_all.deb
 c6dd968e8afb44016942fa24aa7ac037a5a948d4 451606 git-daemon-sysvinit_1.7.10.4-2_all.deb
 d2fd2a0d69151a32cccbae508cf243f42757826e 469130 git-email_1.7.10.4-2_all.deb
 f81ca28e787397447ece23098e3771c38042b00c 727260 git-gui_1.7.10.4-2_all.deb
 9f59552aac943afdc3731853d92c8954a0a87d76 576282 gitk_1.7.10.4-2_all.deb
 04d9996cd52671203fd83591f887a0f766ad26e9 453094 gitweb_1.7.10.4-2_all.deb
 25f85d9cdd588ddbe41afdedf7e8e0139aeb4477 448838 git-all_1.7.10.4-2_all.deb
 504e14226bb3aee12614f847ef2c766d4e2d9c15 1338 git-core_1.7.10.4-2_all.deb
 9f4d5ef38838051b6442a5b1b2688115eedb0915 470882 git-el_1.7.10.4-2_all.deb
 67c1de3e22331abca5b1fba559ca75619b040e7f 1074480 git-man_1.7.10.4-2_all.deb
Checksums-Sha256: 
 db6c1c23fe0fd84b9be8637d7699ba6bb3bfba477fe294f79385b19a437a1394 1978 git_1.7.10.4-2.dsc
 6f660d2afc0553d404e15db110b0d105dfa54b21ae7475269970496b5dbd2237 521778 git_1.7.10.4-2.diff.gz
 f2cfa683cb7a2c58b53c5a618399820d1ae05e94bf2ff62ed9c2490aa383f0e8 6560854 git_1.7.10.4-2_i386.deb
 28b84fff03c73ce3f30783d6503d8ae821b033ed7d3b14192e107e8325460306 2280716 git-doc_1.7.10.4-2_all.deb
 031ad85dc2a583ae877655a52e1a3fc2c8e51703803ad2013e81dfa984f7c589 463434 git-arch_1.7.10.4-2_all.deb
 3428cb78475cf4bad128377513b67d6802e701e87269c3a54b557b6ff5b4f8c0 533006 git-cvs_1.7.10.4-2_all.deb
 1bdf6e08633023016cc2724b5699e307009c9f9cb8b1f91f0a2ead2f272cd2fb 521314 git-svn_1.7.10.4-2_all.deb
 63a87302732d32d7a9bacaaa06057f9eea7891721b8c40485cbed4776536ab9f 450484 git-daemon-run_1.7.10.4-2_all.deb
 9e0f87910dc19979692354a7e192b77cebece436f4b1936c58d3b65ffd1816df 451606 git-daemon-sysvinit_1.7.10.4-2_all.deb
 c2a06d8129094c143a10347bff15835292e78fa8daadf20cab6a829f49283400 469130 git-email_1.7.10.4-2_all.deb
 692b3cbbd031a197a27145bdab40df1a0b8e70db8417f5d748ef778adf0d55a6 727260 git-gui_1.7.10.4-2_all.deb
 0057b2376b483eb0b479a1c879961761e0e43bbc02db4d439e748bc1079086c1 576282 gitk_1.7.10.4-2_all.deb
 e1acae429860e35be60e7e933e3f407a998828b7e1d8251db0c751187a353487 453094 gitweb_1.7.10.4-2_all.deb
 7d517a0c382181451fa8835fee1b037c49d58f2266a2dfe9a734f010986a89d3 448838 git-all_1.7.10.4-2_all.deb
 9f96d9491673343bf943f2b531b58d0def814f396d350e379978941d1336c18f 1338 git-core_1.7.10.4-2_all.deb
 b50c8436a275b41b7841db2e9fe4508cb3d4c377f33b39fafdaf4fe95f85657b 470882 git-el_1.7.10.4-2_all.deb
 fe17b6a422353377748a725cfc4489cf48b44684bdfa9b64fae0b7c5d8bda09b 1074480 git-man_1.7.10.4-2_all.deb
Files: 
 c5c2cbe2a1b52c665177c02331d9dafe 1978 vcs optional git_1.7.10.4-2.dsc
 508ced975f1cf6394efc695a30a909f4 521778 vcs optional git_1.7.10.4-2.diff.gz
 e11416a4d7ed3f426bda5010da633877 6560854 vcs optional git_1.7.10.4-2_i386.deb
 194e6132281b35da3d3a9a802695e28f 2280716 doc optional git-doc_1.7.10.4-2_all.deb
 0cc8720c0af6f23ded72b592c135f034 463434 vcs optional git-arch_1.7.10.4-2_all.deb
 b761a783167f1b833131e8cc1632344f 533006 vcs optional git-cvs_1.7.10.4-2_all.deb
 bf1d7c2c0d06f5a7095d3eb846de3d21 521314 vcs optional git-svn_1.7.10.4-2_all.deb
 9c913312cb00ec6a98c85283613a6a83 450484 vcs optional git-daemon-run_1.7.10.4-2_all.deb
 87387506a22d5f258b3f5e768cfd7e06 451606 vcs extra git-daemon-sysvinit_1.7.10.4-2_all.deb
 890756f423da7e3c64cc14e36bbe216c 469130 vcs optional git-email_1.7.10.4-2_all.deb
 7cbeb68b2f862b99cef0eb592551f502 727260 vcs optional git-gui_1.7.10.4-2_all.deb
 f9531b81958db44e0c61a3cdacecb6ba 576282 vcs optional gitk_1.7.10.4-2_all.deb
 1d1d491518546732ad1d23c78b1050ee 453094 vcs optional gitweb_1.7.10.4-2_all.deb
 64a4afd542cc37ce0468ccc21b297ee6 448838 vcs optional git-all_1.7.10.4-2_all.deb
 6576f7a118c293aa7db2c8b68c221ea4 1338 vcs optional git-core_1.7.10.4-2_all.deb
 ceb311636d431176c3e08f00617b3e03 470882 vcs optional git-el_1.7.10.4-2_all.deb
 2b958d6c65b60955dc3507269fe98701 1074480 doc optional git-man_1.7.10.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlCSfxUACgkQ+C5cwEsrK57SAwCdGwCqEMCpIPXcPtGTXX7yXbty
IGAAoKl1jxijXydVXUh9KsXiwaa2zrAv
=VH/L
-----END PGP SIGNATURE-----




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 01 Nov 2012 14:51:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 14:51:09 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Jun 2013 07:37:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:02:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.